#
# spec file for package python-serpent
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-serpent
Version:        1.27
Release:        2.1
Summary:        Serialization based on astliteral_eval
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/irmen/Serpent
Source:         https://files.pythonhosted.org/packages/source/s/serpent/serpent-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-enum34
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%ifpython2
Requires:       python-enum34
%endif
%python_subpackages

%description
Serpent is a simple serialization library based on ast.literal_eval.

Because it only serializes literals and recreates the objects using ast.literal_eval(),
the serialized data is safe to transport to other machines (over the network for instance)
and de-serialize it there.

%prep
%setup -q -n serpent-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Mar  6 2019 tchvatal@suse.com
- Update to 1.27:
  * fixed serialization of unicode elements in dicts and sets (this was a regression on Python 2.x)
  * support for enum34 backport library for enums in older python versions.
  * Some small tweaks and attempt to fix an inconsistently running unit test
  * LICENSE file included in release.
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 1.24
  * fix Python 3.7 deprecation warnings about
    importing ABC types from collections vs collections.abc
- spec file cleanups
* Wed Nov  8 2017 toddrme2178@gmail.com
- Initial version
